org.modeshape.common.collection

## Class AbstractMultimap.WrappedMap.WrappedEntrySet

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractSet<Map.Entry<K,Collection<V>>>
    - - org.modeshape.common.collection.AbstractMultimap.WrappedMap.WrappedEntrySet

- All Implemented Interfaces:
    Iterable<Map.Entry<K,Collection<V>>>, Collection<Map.Entry<K,Collection<V>>>, Set<Map.Entry<K,Collection<V>>>
  Enclosing class:
    AbstractMultimap.WrappedMap

      protected class AbstractMultimap.WrappedMap.WrappedEntrySet
      extends AbstractSet<Map.Entry<K,Collection<V>>>

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractMultimap.WrappedMap.WrappedEntrySet()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `contains(Object o)`
    `Iterator<Map.Entry<K,Collection<V>>>` | `iterator()`
    `boolean` | `remove(Object o)`
    `int` | `size()`

    - ### Methods inherited from class java.util.AbstractSet

      `equals, hashCode, removeAll`

    - ### Methods inherited from class java.util.AbstractCollection

      `add, addAll, clear, containsAll, isEmpty, retainAll, toArray, toArray, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Set

      `add, addAll, clear, containsAll, isEmpty, retainAll, toArray, toArray`

- - ### Constructor Detail

    - #### AbstractMultimap.WrappedMap.WrappedEntrySet

          protected AbstractMultimap.WrappedMap.WrappedEntrySet()

  - ### Method Detail

    - #### iterator

          public Iterator<Map.Entry<K,Collection<V>>> iterator()

      Specified by:
        `iterator` in interface `Iterable<Map.Entry<K,Collection<V>>>`
      Specified by:
        `iterator` in interface `Collection<Map.Entry<K,Collection<V>>>`
      Specified by:
        `iterator` in interface `Set<Map.Entry<K,Collection<V>>>`
      Specified by:
        `iterator` in class `AbstractCollection<Map.Entry<K,Collection<V>>>`

    - #### size

          public int size()

      Specified by:
        `size` in interface `Collection<Map.Entry<K,Collection<V>>>`
      Specified by:
        `size` in interface `Set<Map.Entry<K,Collection<V>>>`
      Specified by:
        `size` in class `AbstractCollection<Map.Entry<K,Collection<V>>>`

    - #### contains

          public boolean contains(Object o)

      Specified by:
        `contains` in interface `Collection<Map.Entry<K,Collection<V>>>`
      Specified by:
        `contains` in interface `Set<Map.Entry<K,Collection<V>>>`
      Overrides:
        `contains` in class `AbstractCollection<Map.Entry<K,Collection<V>>>`

    - #### remove

          public boolean remove(Object o)

      Specified by:
        `remove` in interface `Collection<Map.Entry<K,Collection<V>>>`
      Specified by:
        `remove` in interface `Set<Map.Entry<K,Collection<V>>>`
      Overrides:
        `remove` in class `AbstractCollection<Map.Entry<K,Collection<V>>>`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.